require 'pathname'
require 'fileutils'
require 'rack'
require 'thor'

require_relative "middleware"

module Orkester
  class CLI < Thor

    include Thor::Actions

    desc 'server', 'Serve the project'
    method_option :port, :aliases => '-p', :desc => 'Port'
    def server(*assets)
      Rack::Server.start(
        :Port => options[:port] || 9292,
        :app  => Orkester::Middleware.new
      )
    end
  end
end