require_relative "middleware"
require_relative "asset_helpers"
module Orkester
  class Railtie < Rails::Railtie
    initializer "orkester.register_middleware" do |app|
      app.config.middleware.use Orkester::Middleware
    end

    initializer "orkester.view_helpers" do |app|
      ActionController::Base.helper Orkester::AssetHelpers
      ActionView::Base.send :include, Orkester::AssetHelpers
    end
  end
end
