module Orkester
  module AssetHelpers
    include ActionView::Helpers::AssetTagHelper

    def orkester_include_package(package_name)
      js = orkester_javascript_tag package_name
      css = orkester_stylesheet_tag package_name
      css.concat(js)
    end

    def orkester_javascript_tag(package_name)
      javascript_include_tag "/orkester/#{package_name}/javascripts/main"
    end
    def orkester_stylesheet_tag(package_name)
      stylesheet_link_tag "/orkester/#{package_name}/stylesheets/main"
    end

  end
end