require_relative "router"
module Orkester
  class Middleware

    def initialize(app=nil)
      @app = app
    end
  
    def call(env)
      router = Orkester::Router.new
      match = router.try(env)
      if match
        match
      else
        if @app
          @app.call(env)
        else
          [404, {"Content-Type" => "text/html"}, ["404"]]
        end
      end
    end

  end
end